/*
 * Copyright 2017 MovingBlocks
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.terasology.rendering.dag;

import com.google.common.base.Objects;

public class SetName implements StateChange {
    private static SetName defaultInstance = new SetName("bar");

    private String name;

    SetName(String name) {
        this.name = name;
    }

    @Override
    public StateChange getDefaultInstance() {
        return defaultInstance;
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(name);
    }

    @Override
    public boolean equals(Object obj) {
        return (obj instanceof SetName) && name.equals(((SetName) obj).getName());
    }

    @Override
    public String toString() {
        return String.format("%30s: %s", this.getClass().getSimpleName(), name);
    }

    public String getName() {
        return name;
    }

    @Override
    public void process() { }
}
